# Write a .pdf file:
pdf(file="slicewise-K.pdf" , width=12, height=12, pointsize=18)

par(mfrow=c(4,1),
    mar=c(0,0,0,0),
    oma=c(4,5,0.5,0.5),
    plt=c(0.1, 0.9, 0.12, 0.85))
par(xpd=NA)

# Some common things for plotting
trace.lwd <- 2
axis.lwd <- 2
axis.size <- 2
pane.size <- 3
k.col <- "blue"
lambda.col <- "red"

plot(c(1:35), camber.sig[1,], ylim=c(0,1.0), type="l", col=k.col, lwd=trace.lwd, axes=FALSE, ann=FALSE)
points(c(1:35), camber.sig[3,], type="l", col=lambda.col, lwd=trace.lwd)
axis(1, at=c(1, 25, 35), labels=FALSE, lwd=axis.lwd)
axis(2, at=c(0,0.5,1.0), cex.axis=axis.size, lwd=axis.lwd)
text(-7.5, 1.05, "i", cex=pane.size)
#text(-7, 0.5, "K", srt=90, cex=1.5)

plot(c(1:35), chord.sig[1,], ylim=c(0,1), type="l", col=k.col, lwd=trace.lwd, axes=FALSE, ann=FALSE)
points(c(1:35), chord.sig[3,], type="l", col=lambda.col, lwd=trace.lwd)
axis(1, at=c(1, 25, 35), labels=FALSE, lwd=axis.lwd)
axis(2, at=c(0,0.5,1.0), cex.axis=axis.size, lwd=axis.lwd)
text(-7.5, 1.05, "ii", cex=pane.size)

plot(c(1:35), xst.sig[1,], ylim=c(0,1), type="l", col=k.col, lwd=2, axes=FALSE, ann=FALSE)
points(c(1:35), xst.sig[3,], type="l", col=lambda.col, lwd=trace.lwd)
axis(1, at=c(1, 25, 35), labels=FALSE, lwd=axis.lwd)
axis(2, at=c(0,0.5,1.0), cex.axis=axis.size, lwd=axis.lwd)
text(-7.5, 1.05, "iii", cex=pane.size)
#text(-7, 0.5, "K", srt=90, cex=1.5)

plot(c(1:35), xsa.sig[1,], ylim=c(0,1), type="l", col=k.col, lwd=trace.lwd, axes=FALSE, ann=FALSE)
points(c(1:35), xsa.sig[3,], type="l", col=lambda.col, lwd=trace.lwd)
axis(1, at=c(1, 25, 35), labels=c("Tip", "Wrist", "Shoulder"), cex.axis=axis.size, lwd=axis.lwd)
axis(2, at=c(0,0.5,1.0), cex.axis=axis.size, lwd=axis.lwd)
text(-7.5, 1.05, "iv", cex=pane.size)

dev.off()