# Write a .pdf file:
pdf(file="modTest_hist_fig.pdf" , width=9, height=8, pointsize=18)

par(mfrow=c(2,2),
    mar=c(0,0,0,0),
    oma=c(4,5,0.5,0.5),
    plt=c(0.1, 0.9, 0.12, 0.85))
par(xpd=NA)

# Set up some common things for all of the figure panels
minX <- 0.70
maxX <- 1.15
pointcex <- 1.5
crpch <- 25
textX <- 0.87
crY <- 0.8
pY <- 0.7
panlabx <- 0.57
panlabcex <- 2.5

# Plot camber
foo <- hist(modtest.camber$output,30,freq=TRUE, col="gray", main=NULL, xlab=NULL, ylab="Count", xlim=c(minX, maxX))
points(modtest.camber$CR, 0.06*(range(foo$counts)[2]-range(foo$counts)[1]), pch=crpch, col="white", bg="red", cex=pointcex)
text(textX, crY*(range(foo$counts)[2]-range(foo$counts)[1]), paste("CR = ", round(modtest.camber$CR, 2)))
text(panlabx, (range(foo$counts)[2]+0.07*range(foo$counts)[2]), "i", cex=panlabcex)

# Plot Chord
foo <- hist(modtest.chord$output,30,freq=TRUE, col="gray", main=NULL,xlab=NULL, ylab=NULL, xlim=c(minX, maxX))
points(modtest.chord$CR, 0.06*(range(foo$counts)[2]-range(foo$counts)[1]), pch=crpch, col="white", bg="red", cex=pointcex)
text(textX, crY*(range(foo$counts)[2]-range(foo$counts)[1]), paste("CR = ", round(modtest.chord$CR, 2)))
text(panlabx, (range(foo$counts)[2]+0.07*range(foo$counts)[2]), "ii", cex=panlabcex)

# Plot XST
foo <- hist(modtest.xst$output,30,freq=TRUE, col="gray", main=NULL,xlab="CR Coefficient", ylab="Count", xlim=c(minX, maxX))
points(modtest.xst$CR, 0.06*(range(foo$counts)[2]-range(foo$counts)[1]), pch=crpch, col="white", bg="red", cex=pointcex)
text(textX, crY*(range(foo$counts)[2]-range(foo$counts)[1]), paste("CR = ", round(modtest.xst$CR, 2)))
text(panlabx, (range(foo$counts)[2]+0.07*range(foo$counts)[2]), "iii", cex=panlabcex)

# Plot XSA
foo <- hist(modtest.xsa$output,30,freq=TRUE, col="gray", main=NULL, xlab="CR Coefficient", ylab=NULL, xlim=c(minX, maxX))
points(modtest.xsa$CR, 0.06*(range(foo$counts)[2]-range(foo$counts)[1]), pch=crpch, col="white", bg="red", cex=pointcex)
text(textX, crY*(range(foo$counts)[2]-range(foo$counts)[1]), paste("CR = ", round(modtest.xsa$CR, 2)))
text(panlabx, (range(foo$counts)[2]+0.07*range(foo$counts)[2]), "iv", cex=panlabcex)


dev.off()
